Get Reseller Deleted Parents
get
https://api.flxpoint.com/reseller-channels/{channelId}/products/deletedUse this when you want to pull resellers data through the API.
🔑 X-API-TOKEN⏱ 2 req/sToken: Account · Source · Channel
This page explains the endpoint. To send a live test request, use the interactive tester in Stoplight or your own Postman / HTTP client.
This endpoint will retrieve back Parents and Variants that have been Deleted recently
As an integrating system, you should remove entries that appear here.
- Params starting with **filter*** will filter the results down
Request
Query parameters
filterDeletedAfterquerystring (date-time)requiredFilter narrowing down to records that have been deleted after this timestamp
filterPageSizequeryinteger (int32)requiredNumber of entries per page
filterPageNumberqueryinteger (int32)requiredCurrent page
Example request
get
/reseller-channels/{channelId}/products/deletedcurl -X GET "https://api.flxpoint.com/reseller-channels/{channelId}/products/deleted" \
-H "Accept: application/json" \
-H "X-API-TOKEN: YOUR_TOKEN"Responses
200OKapplication/json
array[ResellerProductDeleted]
entire_product_deletedbooleanIf this is TRUE then all variants & the parent have been deleted.
deleted_atstring (date-time)parent_idintegervariant_idsarray[integer]integer
Example response
[
{
"entire_product_deleted": true,
"deleted_at": "2026-04-20T00:00:00Z",
"parent_id": 0,
"variant_ids": [
0
]
}
]401Unauthorized
No schema documented for this status.
OpenAPI fragment
{
"get": {
"summary": "Get Reseller Deleted Parents",
"description": "This endpoint will retrieve back Parents and Variants that have been Deleted recently\n\nAs an integrating system, you should remove entries that appear here. \n\n- Params starting with **filter*** will filter the results down",
"parameters": [
{
"schema": {
"type": "string",
"format": "date-time",
"example": "2020-10-14T16:05:00.000Z"
},
"in": "query",
"name": "filterDeletedAfter",
"description": "Filter narrowing down to records that have been deleted after this timestamp",
"required": true
},
{
"schema": {
"type": "integer",
"format": "int32",
"default": 50,
"minimum": 1,
"maximum": 50,
"example": 50
},
"in": "query",
"name": "filterPageSize",
"description": "Number of entries per page",
"required": true
},
{
"schema": {
"type": "integer",
"format": "int32",
"default": 1,
"example": 1,
"minimum": 1
},
"in": "query",
"name": "filterPageNumber",
"description": "Current page",
"required": true
}
],
"responses": {
"200": {
"description": "OK",
"content": {
"application/json": {
"schema": {
"type": "array",
"items": {
"$ref": "#/components/schemas/ResellerProductDeleted"
}
},
"examples": {
"example-1": {
"value": [
{
"entire_product_deleted": true,
"deleted_at": "2019-08-24T14:15:22Z",
"parent_id": 0,
"variant_ids": [
0
]
}
]
}
}
}
}
},
"401": {
"description": "Unauthorized"
}
}
}
}Ready to run it? Send the curl from your terminal or Postman, or use the interactive tester in Stoplight.Open in Stoplight